<template>
  <div class='advantage-list'>
    <div class='advantage-list__item'>
      <icon-like />
      <p>{{ $t('item') }}<br> <span> 0.1% </span></p>
    </div>
    <div class='advantage-list__item'>
      <icon-whithout-kyc />
      <p>{{ $t('item2')[0] }}<br>{{ $t('item2')[2] }}<span>{{ $t('item2')[1] }}</span></p>
    </div>
    <div class='advantage-list__item'>
      <icon-rocket />
      <p>{{ $t('item3')[0] }}<br>{{ $t('item3')[2] }}<span>{{ $t('item3')[1] }}</span></p>
    </div>
  </div>
</template>

<script>
import IconLike from '../icon/IconLike'
import IconWhithoutKyc from '../icon/IconWhithoutKyc'
import IconRocket from '../icon/IconRocket'
export default {
  components: { IconRocket, IconWhithoutKyc, IconLike }
}
</script>

<i18n>
{
  "en": {
    "item": "low fees",
    "item2": ["without KYC", " 2 BTC", "up to"],
    "item3": ["fast speed", " 1.4 M/sec", "up to"]
  },
  "ch": {
    "item": "低费用",
    "item2": ["没有KYC", "高达2个BTC"],
    "item3": ["快速的速度", "高达1.4米/秒"]
  },
  "tur": {
    "item": "low fees",
    "item2": ["without KYC", " 2 BTC", "up to"],
    "item3": ["fast speed", " 1.4 M/sec", "up to"]
  }
}
</i18n>

<style lang='scss' scoped>
.advantage-list {
  display: flex;
  align-items: center;
  flex-direction: column;

  @media(min-width: 768px) {
    flex-direction: row;
    justify-content: space-around;
  }

  &__item {
    display: flex;
    flex-direction: column;
    align-items: center;
    min-width: 120px;

    &:not(:last-child) {
      @media(max-width: 767px) {
        margin-bottom: 55px;
      }
    }

    p {
      margin-top: 22px;
      margin-bottom: 0;
      max-width: 120px;
      text-align: center;
      color: #ADBAD0;
    }

    span {
      color: white;
    }
  }
}
</style>
